Ubuntu

[HP 6710b] Kworker constantly taking about 100% CPU

Reported by KP Stolk on 2011-11-08
328
This bug affects 66 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I've this issue since the latest Ubuntu 11.10 version, all updates applied till today, and it's still there. Ubuntu 11.04 did not have this issue.

If I run top there is a Kworker constantly taking much CPU, I don't know how to research where this comes from.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic 3.0.0-12.20
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.23-0ubuntu4
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: kp 1473 F.... pulseaudio
CRDA: Error: [Errno 2] Bestand of map bestaat niet
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe4404000 irq 46'
   Mixer name : 'Analog Devices AD1981'
   Components : 'HDA:11d41981,103c30c0,00100200 HDA:11c11040,103c1378,00100200'
   Controls : 11
   Simple ctrls : 9
Date: Tue Nov 8 22:29:10 2011
HibernationDevice: RESUME=UUID=ad8d4a18-9fe4-4246-ba44-85cf6b4dace5
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
MachineType: Hewlett-Packard HP Compaq 6710b (GB891ET#ABH)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=686d2155-83a9-4743-a2a4-8e9570ee3da6 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/15/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68DDU Ver. F.15
dmi.board.name: 30C0
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 71.2E
dmi.chassis.asset.tag: CNU72913PH
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68DDUVer.F.15:bd01/15/2009:svnHewlett-Packard:pnHPCompaq6710b(GB891ET#ABH):pvrF.15:rvnHewlett-Packard:rn30C0:rvrKBCVersion71.2E:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq 6710b (GB891ET#ABH)
dmi.product.version: F.15
dmi.sys.vendor: Hewlett-Packard

KP Stolk (kp-stolk) wrote :
Brad Figg (brad-figg) on 2011-11-08
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing regression-release
Joseph Salisbury (jsalisbury) wrote :

This could be an upstream issue. There is no single cause for kworker issues:
https://lkml.org/lkml/2011/3/30/836

Getting additional information:
https://lkml.org/lkml/2011/3/31/68

KP Stolk (kp-stolk) wrote :

@ Joseph Salisbury

Can you provide me the exaxt url where I can find the debs of the latest kernel?

Here I only find the linux image for amd64, while I have i686/i386 and this is the only v3.2-rcN listed:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc1-oneiric/

Joseph Salisbury (jsalisbury) wrote :

Thanks, I didn't realize the 32 bit kernels were not there yet. Can you test the latest 3.1 kernel instead:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/

On my machine this issue is strongly correlated with failure of the wifi connection. When kworker goes nuts the wifi automatically stops working and "sudo service networking restart" is practically no use.

KP Stolk (kp-stolk) wrote :

I investigated the kworker problem a bit further, it seemse this kworker is only active and taking high CPU when I first boot my pc.

If I close my laptop so it goes on standby and resume it, the kworker is gone!

I will try the latest 3.1 kernel now and post back the results.

KP Stolk (kp-stolk) wrote :

Nope. I now have kernel 3.1.0-030100-generic but still a kworker with 80-100% CPU on boot.

After standby the kworker is gone.

@ Joseph Salisbury, how can I investigate this further?

Watschu (watschu) wrote :

I had the same problem, occured yesterday after i standby and lasted till 10 minutes ago.
It is gone after i closed my Thinkpad T61 -> standby. When i tried to resume it, there was just a black screen with a cursor blinking left at the top. So i made a cold poweroff -> no problem with the kworker anymore.
Even after restarting or standby there is no problem.
I hope it will stay good.

KP Stolk (kp-stolk) wrote :

I just tried that too now. I did a cold poweroff also, but it's still returning in my case.

Very annoying. Can't trace where this kworker comes from...

KP Stolk (kp-stolk) wrote :

I now tried kernel 3.2.0-999-generic #201111160432 but the problem is still there...

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing

Facing the same issue, I have added in /etc/modprobe.d/local.conf :
options drm_kms_helper poll=N

After a reboot it was running again without any issue!

KP Stolk (kp-stolk) wrote :

At my PC there is no local.conf file in /etc/modprobe.d/. There are some other files but mostly blacklist*.conf files.
I searched my PC with 'locate' but there is no 'local.conf' at all..

I tried to add the file with the same text in it:

options drm_kms_helper poll=N

and rebooted. But it does not fix the kworker problem for me...

Suspending and resuming the machine only temporarily solves the issue for me. After a minute or so, my screen was freezing for a second every few seconds again.

I am using a Thinkpad T61, Ubuntu 11.10 x86_64, 3.0.0-13-generic

I can confirm that disabling networking(not just the wireless radio) stops the freezing.

I have always been using wireless, but have just noticed that the networking lights next to my eth0 port are both constantly on and ubuntu doesn't detect anything when I plug in plugging into a wired connection and doesn't connect to the internet. I am

$ sudo lshw -C network
  *-network
       description: Ethernet interface
       product: 82566MM Gigabit Network Connection
       vendor: Intel Corporation
       physical id: 19
       bus info: pci@0000:00:19.0
       logical name: eth0
       version: 03
       capacity: 1Gbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e1000e driverversion=1.3.10-k2 firmware=0.3-0 latency=0 link=no multicast=yes port=twisted pair
       resources: irq:45 memory:fe000000-fe01ffff memory:fe025000-fe025fff ioport:1840(size=32)
  *-network
       description: Wireless interface
       product: PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 61
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwl4965 driverversion=3.0.0-13-generic firmware=228.61.2.24 ip=192.168.1.103 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
       resources: irq:48 memory:df3fe000-df3fffff

I am using a Thinkpad T61, Ubuntu 11.10 x86_64, 3.0.0-13-generic

KP Stolk (kp-stolk) wrote :

I've a HP 6710b which has a 'PRO/Wireless 3945ABG [Golan] Network Connection' wireless connection.

As long as I don't reboot or shutdown the problem does not come back, however the last week I had 2 dead locks, don't know if this has something to do with the wireless...

KP Stolk (kp-stolk) wrote :

I just tried V3.2-rc2 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc2-oneiric/) but the problem still exists, so it still exists upstream...

I shut down my laptop, pulled the battery out and let it sit for 5 minutes. I turned it back on and now there is now more lag. Very curious...

Benjamin Bach (benjaoming) wrote :

Confirmed. I suspended my computer after vacuuming my room and updating Ubuntu 11.10 (don't remember the order, but there were no kernel updates involved). After that, the kworker/* processes started occurring. They halt and block keyboard and mouse input at random intervals (like every 10 seconds). It's not a freeze, I think it's the kernel interrupt scheduler ignoring stuff such as mouse/keyboard/screen.

/etc/init.d/networking restart does not work.

Disabling the NetworkManager works, all kworker processes disappear.

"/etc/init.d/networking stop" works, but it (accidentally) killed NetworkManager and my theme manager so now everything looks like 2001 and I cannot start nm-applet.

"dhclient eth0" does not work (the eth0 interface seems absolutely dead)

I restarted my computer and the problem persisted.

Then I did "ifconfig eth0 down" and it went away. And doing "ifconfig eth0 up" brings the kworker madness back.

Therefore I this problem is related to the ethernet module. I'm also running T61 like #14 but it's not 64 bit, it's i386. My ethernet is: 00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)

Benjamin Bach (benjaoming) wrote :

As mentioned, once I do "ifconfig eth0 down", the problems stop. Once I do "ifconfig eth0 up", they start again.

powertop reports between:

99.2 ms/s 0.0 kWork e1000_watchdog_task
and
393.2 ms/s 0.1 kWork e1000_watchdog_task

While the network interface is completely idle (well, it doesn't work)!

The curious thing is that it used to work but it has broken recently in Ubuntu 11.10.

Btw, please see #779753 - a probably related bug.

Kari Julkunen (kari-julkunen) wrote :

In my desktop PC with Ubuntu 11.10 64bit kernel 3.0.0-14, there was the same kworker problem. It was consuming a lot of CPU power every now and then and thus freezing mouse cursor + keyboard. I just disabled the wireless networking because the PC is anyway wired to the router and guess what, the kworker just stopped wasting my CPU time! :) The 1 min load average dropped from 0.06 to 0.00 while just surfing on the internet without that weird kworker process.

I'm using NetworkManager if that's important somehow. The WLAN card is a TP-Link TL-WN951N.

ITec (itec) wrote :

On Ubuntu 12.04alpha1 Linux version 3.2.0-10-generic there is the problem with kworker, too.
I have got HP Compaq 6005 Pro machines (same vendor as KP Stolk's machines), but it happens on different (non HP) hardware, too.

"/etc/init.d/networking stop" does not help.

The problem is described in:
http://billauer.co.il/blog/2010/10/disk-io-scheduler-load-dd-freeze-stall-hang/

I do:
dd if=/dev/zero of=/tmp/zero1.tmp bs=1024 count=13000000

... two kworker threads start using up nearly 100% CPU from the time the memory cache gets filled up, shown as "cached" in top:

top - 18:20:57 up 2:44, 2 users, load average: 1.33, 0.50, 0.42
Tasks: 110 total, 3 running, 107 sleeping, 0 stopped, 0 zombie
Cpu(s): 0.0%us, 49.8%sy, 0.0%ni, 50.2%id, 0.0%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 1791092k total, 1723636k used, 67456k free, 8k buffers
Swap: 0k total, 0k used, 0k free, 1564360k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 4160 root 20 0 0 0 0 R 47 0.0 0:06.81 kworker/0:1
 4217 root 20 0 0 0 0 R 47 0.0 0:06.12 kworker/1:0
 4216 root 20 0 11500 632 516 D 5 0.0 0:38.42 dd
 3281 root 20 0 17220 1240 904 R 0 0.1 0:11.11 top
 4079 root 20 0 0 0 0 S 0 0.0 0:00.43 kworker/1:2
 4093 root 20 0 0 0 0 S 0 0.0 0:00.21 kworker/0:0
    1 root 20 0 24172 2016 1100 S 0 0.1 0:00.46 init

Are there any solutions known right now?

ITec (itec) wrote :

Affected are the following kernels on 12.04alpha1:
3.2.0-10-generic
3.2.0-8-generic
3.2.0-2-generic

Not affected is:
3.0.0-13-generic

It looks clearly like a kernel problem.

Does anybody know, how to fix this?

Download full text (4.7 KiB)

Is there any fix for the issue??
Please help..

Regards,

Subhojit Dutta
Operations Manager
Office : +91-80-40096244 | Mobile : +91-9741308685 | email: <email address hidden>
OnMobile Global Ltd. #165/5,Krishnaraju layout, 1st Main, J. P. Nagar Phase 7, Bangalore – 560076 (Karnataka)

www.onmobile.com

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of ITec
Sent: 27 January 2012 21:33
To: Subhojit Dutta
Subject: [Bug 887793] Re: Kworker constantly taking about 100% CPU

Affected are the following kernels on 12.04alpha1:
3.2.0-10-generic
3.2.0-8-generic
3.2.0-2-generic

Not affected is:
3.0.0-13-generic

It looks clearly like a kernel problem.

Does anybody know, how to fix this?

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/887793

Title:
  Kworker constantly taking about 100% CPU

Status in “linux” package in Ubuntu:
  Confirmed

Bug description:
  I've this issue since the latest Ubuntu 11.10 version, all updates
  applied till today, and it's still there. Ubuntu 11.04 did not have
  this issue.

  If I run top there is a Kworker constantly taking much CPU, I don't
  know how to research where this comes from.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: linux-image-3.0.0-12-generic 3.0.0-12.20
  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
  Uname: Linux 3.0.0-12-generic i686
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  AplayDevices:
   **** List of PLAYBACK Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  ArecordDevices:
   **** List of CAPTURE Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: kp 1473 F.... pulseaudio
  CRDA: Error: [Errno 2] Bestand of map bestaat niet
  Card0.Amixer.info:
   Card hw:0 'Intel'/'HDA Intel at 0xe4404000 irq 46'
     Mixer name : 'Analog Devices AD1981'
     Components : 'HDA:11d41981,103c30c0,00100200 HDA:11c11040,103c1378,00100200'
     Controls : 11
     Simple ctrls : 9
  Date: Tue Nov 8 22:29:10 2011
  HibernationDevice: RESUME=UUID=ad8d4a18-9fe4-4246-ba44-85cf6b4dace5
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
  MachineType: Hewlett-Packard HP Compaq 6710b (GB891ET#ABH)
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
     no card
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=686d2155-83a9-4743-a2a4-8e9570ee3da6 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-3.0.0-12-generic N/A
   linux-backports-modules-3.0.0-12-generic N/A
   linux-firmware 1.60
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
...

Read more...

I belive I have found a fix for this ! This worked perfectly for me.
    Reboot your system with the new kernel.
    Open shell and become root.
    Type #echo N> /sys/module/drm_kms_helper/parameters/poll This should drastically reduce the system load and put your system back to normal.
    Note that this will only be sustained till system reboot. After reboot the value will revert back to poll=Y
    For a sustained effect: #echo "options drm_kms_helper poll=N">/etc/modprobe.d/local.conf

Hope this will help your woes. Enjoy! Please post any problems you may experience.

KP Stolk (kp-stolk) wrote :

I have kernel version 3.2.0-030200rc2-generic and added "options drm_kms_helper poll=N" (without quotes) to /etc/modprobe.d/local.conf

But no effect, kworker still taking 80% or more. only thing that works is still setting laptop in standby and resume -> kworker gone.

Or do I need another kernel version?

Geting this on a 2011 Dell Lattitude, Ubuntu 11.10, always and only when the power cord has been unplugged and then plugged back in again. Once it's started happening, I can turn the kworkers on by plugging the cord in, and turn the big off by unplugging the cord. I've tried with several recent kernels including the realtime ones, and the same behaviour results.

uname -a
Linux charles-nst 3.0.12-rt30 #1 SMP PREEMPT RT Wed Dec 14 09:57:01 GMT 2011 x86_64 x86_64 x86_64 GNU/Linux

...And again with the latest Ubuntu kernel,
charles-nst:~> uname -a
Linux charles-nst 3.0.0-16-generic #29-Ubuntu SMP Tue Feb 14 12:48:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Download full text (5.1 KiB)

Open shell and become root.
Type
#echo N> /sys/module/drm_kms_helper/parameters/poll
This should drastically reduce the system load and put your system back to normal.
Note that this will only be sustained till system reboot. After reboot the value will revert back to poll=Y
For a sustained effect:
#echo "options drm_kms_helper poll=N">/etc/modprobe.d/local.conf

Regards,

Subhojit Dutta

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of <email address hidden>
Sent: 14 March 2012 16:57
To: Subhojit Dutta
Subject: [Bug 887793] Re: Kworker constantly taking about 100% CPU

Geting this on a 2011 Dell Lattitude, Ubuntu 11.10, always and only when the power cord has been unplugged and then plugged back in again.
Once it's started happening, I can turn the kworkers on by plugging the cord in, and turn the big off by unplugging the cord. I've tried with several recent kernels including the realtime ones, and the same behaviour results.

uname -a
Linux charles-nst 3.0.12-rt30 #1 SMP PREEMPT RT Wed Dec 14 09:57:01 GMT 2011 x86_64 x86_64 x86_64 GNU/Linux

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/887793

Title:
  Kworker constantly taking about 100% CPU

Status in “linux” package in Ubuntu:
  Confirmed

Bug description:
  I've this issue since the latest Ubuntu 11.10 version, all updates
  applied till today, and it's still there. Ubuntu 11.04 did not have
  this issue.

  If I run top there is a Kworker constantly taking much CPU, I don't
  know how to research where this comes from.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: linux-image-3.0.0-12-generic 3.0.0-12.20
  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
  Uname: Linux 3.0.0-12-generic i686
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  AplayDevices:
   **** List of PLAYBACK Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  ArecordDevices:
   **** List of CAPTURE Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: kp 1473 F.... pulseaudio
  CRDA: Error: [Errno 2] Bestand of map bestaat niet
  Card0.Amixer.info:
   Card hw:0 'Intel'/'HDA Intel at 0xe4404000 irq 46'
     Mixer name : 'Analog Devices AD1981'
     Components : 'HDA:11d41981,103c30c0,00100200 HDA:11c11040,103c1378,00100200'
     Controls : 11
     Simple ctrls : 9
  Date: Tue Nov 8 22:29:10 2011
  HibernationDevice: RESUME=UUID=ad8d4a18-9fe4-4246-ba44-85cf6b4dace5
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
  MachineType: Hewlett-Packard HP Compaq 6710b (GB891ET#ABH)
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
     no card
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz...

Read more...

    sudo -i
    echo N> /sys/module/drm_kms_helper/parameters/poll
    echo "options drm_kms_helper poll=N">/etc/modprobe.d/local.conf

Works fine for me, even on Ubuntu 12.04.

KP Stolk, thank you for reporting this bug and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 1.95-0ubuntu1
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D2c', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info: Error: [Errno 2] No such file or directory
Card0.Amixer.values: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=a2e4d226-c184-4db8-8e3e-0d565931badb
IwConfig: Error: [Errno 2] No such file or directory
MachineType: Hewlett-Packard HP Compaq 6005 Pro MT PC
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-20-generic root=UUID=139a1869-1d78-4362-955f-48e3965ca5d2 ro
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
RfKill: Error: [Errno 2] No such file or directory
Tags: precise
Uname: Linux 3.2.0-20-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 09/28/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786G6 v01.16
dmi.board.asset.tag: CZC1106HYH
dmi.board.name: 3047h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: CZC1106HYH
dmi.chassis.type: 6
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786G6v01.16:bd09/28/2011:svnHewlett-Packard:pnHPCompaq6005ProMTPC:pvr:rvnHewlett-Packard:rn3047h:rvr:cvnHewlett-Packard:ct6:cvr:
dmi.product.name: HP Compaq 6005 Pro MT PC
dmi.sys.vendor: Hewlett-Packard

tags: added: apport-collected precise
ITec (itec) wrote : AcpiTables.txt

apport information

ITec (itec) wrote : AlsaDevices.txt

apport information

ITec (itec) wrote : BootDmesg.txt

apport information

apport information

ITec (itec) wrote : CurrentDmesg.txt

apport information

ITec (itec) wrote : Lspci.txt

apport information

ITec (itec) wrote : Lsusb.txt

apport information

apport information

Changed in linux (Ubuntu):
importance: Undecided → Medium
KP Stolk (kp-stolk) on 2012-03-28
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Brad Figg (brad-figg) on 2012-03-28
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-20.33
tags: added: bot-stop-nagging
tags: removed: kernel-request-3.2.0-20.33
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
84 comments hidden view all 164 comments

@Scott: Yep, more or less, in the sense that I put acpi=noirq as boot parameter editing temporarily the boot parameters at startup. I think if this acpi=noirq solution works, should works as one-time try and can't be dependent on the number of reboots, but if you say that it works for you that's good. I don't know what really is/involves "acpi=noirq" and I also don't know what is/involves the disabling of gpe13.
So the questions can be these:
- it's better acpi=noirq or disabling gpe13?
- what does they mean/involve?

My Chronos is the NP700Z7C-S01IT model with Ubuntu 12.10 (no dual boot, w8 was removed) with all updates.

Rdst (raf-k) wrote :

Just to note that this bug still exist in ubuntu 12.10.
I have xoredgers kernel and cinnamon installed.

Problem is showing after connecting power adapter.
Dispersals once, i will unplug it.

Solution from previous comments worked just fine.

sudo su -
  echo N> /sys/module/drm_kms_helper/parameters/poll

  echo "options drm_kms_helper poll=N">/etc/modprobe.d/local.conf

Linux 3.7.0-7-generic #15-Ubuntu SMP Sat Dec 15 16:34:21 UTC 2012 i686 i686 i686 GNU/Linux
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz

jcdutton (james-superbug) wrote :

I have a Samsung Series 7.
Same symptoms

echo "disable" > /sys/firmware/acpi/interrupts/gpe13
cures the 75% CPU#0 in top due to kworker interrupts.

How do we find out what gpe13 is?

I have the same problems with a ASUS K53S running UBUNTU 11.10 but the GPE that consume CPU is the 06. The workaround proposed by Mauro works for me.

jcdutton (james-superbug) wrote :

I have raised a kernel bug relating to this.
I wish to find out what gpe13 actally is, so we can write a proper ACPI handler for it (the notify bit), and keep it quiet that way.
https://bugzilla.kernel.org/show_bug.cgi?id=53071

cheater (cheater00) wrote :

macbook pro retina 15" here, Ubuntu 12.10 following cberner's tutorial. I had to turn off interrupt 16, rather than the numbers suggested above. kworker disappeared immediately from top; before that it was anywhere between 99 and 104% at all times. the fan wouldn't shut up, now the laptop is quiet.

Loris Zinsou (the-lz-himself) wrote :

Asus N43SL, this bug only shows up while running Wine for me.
kworker eatin 65% of one core.

How do I find what to turn off ? I really need ACPI since I use Bumblebee to run game on the nvidia graphics card.

Loris, if you stop wine the kworker consume 65% of cpu.

To see the irq that consume cpu run the following sentence.

grep . -r /sys/firmware/acpi/interrupts/

Carlo Capocasa (carlotheman) wrote :

Thank you! What a relief.

  echo "disable" > /sys/firmware/acpi/interrupts/gpeXX

works like a charm, and

  grep enabled /sys/firmware/acpi/interrupts/*

is a great way to find the offending interrupt.

Also, if you get a permission denied error upon using sudo, do this:

  sudo -s
  echo "disable" > /sys/firmware/acpi/interrupts/gpeXX

That works.

Carlo Capocasa (carlotheman) wrote :

Also, I did a more detailed summary of my attempts to fix this problem and solution instructions from here in a blog post. I hope it helps someone.

http://carlocapocasa.com/crushing-the-kworker-uprising-or-how-to-fix-your-linux-lenovo-ideapad-y560p/

Niko2040 (niko2040) on 2013-02-23
Changed in linux (Ubuntu):
status: Triaged → Confirmed

This problem only showed up in the latest kernel: vmlinuz-3.2.0-38-generic. kworker has a very high CPU load, typing is nearly impossible and also my wired network no longer worked.

I've switched back to 3.2.0-37 and it works fine.

James Burke (jburke) wrote :
Download full text (25.4 KiB)

I have a ubuntu file server that is also experiencing this bug.

uname -a
Linux spartan 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Server is running on ESXi 5.1, 8 CPU's, 10 GB memory

This locks up the who server and I need to reboot to fix.

traces from the syslog:

Mar 6 14:59:45 spartan kernel: [373442.140153] INFO: task kworker/3:1:16763 blocked for more than 120 seconds.
Mar 6 14:59:45 spartan kernel: [373442.140293] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Mar 6 14:59:45 spartan kernel: [373442.140413] kworker/3:1 D 0000000000000003 0 16763 2 0x00000000
Mar 6 14:59:45 spartan kernel: [373442.140419] ffff88009f71db90 0000000000000046 0000000000000000 ffffffff81c87360
Mar 6 14:59:45 spartan kernel: [373442.140425] ffff88009f71dfd8 ffff88009f71dfd8 ffff88009f71dfd8 00000000000137c0
Mar 6 14:59:45 spartan kernel: [373442.140430] ffff8802ab9dae00 ffff8800a8a94500 ffff88009f71dbc0 7fffffffffffffff
Mar 6 14:59:45 spartan kernel: [373442.140434] Call Trace:
Mar 6 14:59:45 spartan kernel: [373442.140537] [<ffffffff8165b48f>] schedule+0x3f/0x60
Mar 6 14:59:45 spartan kernel: [373442.140541] [<ffffffff8165bad5>] schedule_timeout+0x2a5/0x320
Mar 6 14:59:45 spartan kernel: [373442.140595] [<ffffffff8101bde3>] ? native_sched_clock+0x13/0x80
Mar 6 14:59:45 spartan kernel: [373442.140599] [<ffffffff8101be59>] ? sched_clock+0x9/0x10
Mar 6 14:59:45 spartan kernel: [373442.140604] [<ffffffff81091e45>] ? sched_clock_local+0x25/0x90
Mar 6 14:59:45 spartan kernel: [373442.140608] [<ffffffff8165b2cf>] wait_for_common+0xdf/0x180
Mar 6 14:59:45 spartan kernel: [373442.140653] [<ffffffff81060600>] ? try_to_wake_up+0x200/0x200
Mar 6 14:59:45 spartan kernel: [373442.140657] [<ffffffff8165b44d>] wait_for_completion+0x1d/0x20
Mar 6 14:59:45 spartan kernel: [373442.140662] [<ffffffff8108b4ef>] kthread_create_on_node+0xaf/0x130
Mar 6 14:59:45 spartan kernel: [373442.140667] [<ffffffff81086930>] ? manage_workers.isra.31+0x130/0x130
Mar 6 14:59:45 spartan kernel: [373442.140671] [<ffffffff810845b4>] ? alloc_worker+0x24/0x70
Mar 6 14:59:45 spartan kernel: [373442.140675] [<ffffffff81086686>] create_worker+0x136/0x1b0
Mar 6 14:59:45 spartan kernel: [373442.140679] [<ffffffff81086765>] maybe_create_worker+0x65/0x100
Mar 6 14:59:45 spartan kernel: [373442.140682] [<ffffffff81086848>] manage_workers.isra.31+0x48/0x130
Mar 6 14:59:45 spartan kernel: [373442.140686] [<ffffffff81086c1b>] worker_thread+0x2eb/0x370
Mar 6 14:59:45 spartan kernel: [373442.140689] [<ffffffff81086930>] ? manage_workers.isra.31+0x130/0x130
Mar 6 14:59:45 spartan kernel: [373442.140693] [<ffffffff8108b31c>] kthread+0x8c/0xa0
Mar 6 14:59:45 spartan kernel: [373442.140748] [<ffffffff81667af4>] kernel_thread_helper+0x4/0x10
Mar 6 14:59:45 spartan kernel: [373442.140752] [<ffffffff8108b290>] ? flush_kthread_worker+0xa0/0xa0
Mar 6 14:59:45 spartan kernel: [373442.140755] [<ffffffff81667af0>] ? gs_change+0x13/0x13
Mar 6 15:01:45 spartan kernel: [373562.140109] INFO: task kworker/3:1:16763 blocked for more than 120 seconds.
Mar 6 15:01:45 spartan kernel: [373562...

ubuntu5cto (plusovatel) on 2013-03-08
Changed in linux (Ubuntu):
status: Confirmed → New
LeeHach (lee-hachadoorian) wrote :

Same problem on Lenovo Y560p.

    grep enabled /sys/firmware/acpi/interrupts/*

indicates problem is gpe17 and gpe18.

    echo disable > /sys/firmware/acpi/interrupts/gpe17
    echo disable > /sys/firmware/acpi/interrupts/gpe18

Disabling gpe18 works and alleviates some of the CPU load. Disabling gpe17 alleviates the remainder of the CPU load *but* CPU load jumps back up in less than a minute (often within 5 seconds). grep enabled /sys/firmware/acpi/interrupts/* indicates that gpe17 is enabled! Disable again, CPU load goes down, but gpe17 reenables shortly thereafter.

Adding the above commands to /etc/rc.local doesn't seem to work, or maybe it does but only temporarily.

I know this thread goes back to 2011, but this problem only manifested a month or two ago. Not sure what update triggered it (assuming it was some update).

Running Linux Mint 13 with kernel 3.2.0-23-generic.

devsk (funtoos) wrote :

For me, this bug happened after I updated the BIOS on my Samsung Series 7 17.3" laptop. I had bought it last year and never updated the BIOS. I went from P02 to P06 I think.

People who got their laptops with latest BIOS obviously had the bug all along.

This is a classic case of Samsung screwing their Linux customers while adding support for latest Windows operating system.

Disabling gpe13 in my case helps.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Vladimir Scherbaev (zemik) wrote :

I have this issue on 13.04

Loris Zinsou (the-lz-himself) wrote :

Raring, linux 3.8, the bug is still present.

Andrea Dec (andreadec) wrote :

I am experiencing the same bug on my Samsung RC-530-S07 laptop running Xubuntu 12.10 64bit. It seems the problem began when I replaced the HDD with a OCZ Vertex 4 SSD and replaced the optical drive with the HDD. I also enabled the "SATA GEN3 mode" in the BIOS.
The workaround provided some posts before (disable GPE13) works for me too
The bug related to this one in the kernel bug tracking system id this: https://bugzilla.kernel.org/show_bug.cgi?id=53071 and not the 43013 referenced on the information at the top of this page. Can someone update the reference?

tags: added: quantal
webmind (webmind) wrote :

I had this problem while running maverick on a 3.5 kernel. Then having the following in my /etc/rc.local fixed it
echo N > /sys/module/drm_kms_helper/parameters/poll

now upgraded to raring and the problem is back, this time a
echo disable > /sys/firmware/acpi/interrupts/gpe11
as suggested on http://carlocapocasa.com/crushing-the-kworker-uprising-or-how-to-fix-your-linux-lenovo-ideapad-y560p/
seems to work.

I'm running ubuntu 13.04 with kernel 3.8.0-22-generic (64bit) on a thinkpad x200s (intel videocard).

it mainly appears on boot or when starting processes which take up a lot like firefox, even when those processes are idle. the mouse-pointer becomes sluggish/frozen and 1-5 kworker processes seem to hog the cpu, but when looking at their stack all you see is something like:
[<ffffffff810780a7>] worker_thread+0x237/0x480
[<ffffffff8107d370>] kthread+0xc0/0xd0
[<ffffffff816d39ec>] ret_from_fork+0x7c/0xb0
[<ffffffffffffffff>] 0xffffffffffffffff

webmind (webmind) wrote :

it seems to be at-least partly related to the intel driver, I now get following again on busy kworker processes:

cat /proc/228/stack
[<ffffffff8106a460>] msleep+0x20/0x30
[<ffffffffa00e6120>] intel_dp_aux_native_read_retry+0xd0/0x140 [i915]
[<ffffffffa00e6bfd>] intel_dp_get_dpcd+0x1d/0x60 [i915]
[<ffffffffa00e6c5d>] intel_dp_detect_dpcd+0x1d/0x100 [i915]
[<ffffffffa00e7ac7>] intel_dp_detect+0x77/0x2d0 [i915]
[<ffffffffa00a0922>] drm_helper_hpd_irq_event+0xb2/0x140 [drm_kms_helper]
[<ffffffffa00b21eb>] i915_hotplug_work_func+0x8b/0xa0 [i915]
[<ffffffff8107677c>] process_one_work+0x15c/0x4d0
[<ffffffff81077fde>] worker_thread+0x16e/0x480
[<ffffffff8107d370>] kthread+0xc0/0xd0
[<ffffffff816d39ec>] ret_from_fork+0x7c/0xb0
[<ffffffffffffffff>] 0xffffffffffffffff

However, /sys/module/drm_kms_helper/parameters/poll is "N".

It really makes the system completely unusable at random intervals for what seems to be random amounts of time.

Revery (glajchs) wrote :

Ty to cheater00 for the tip about the macbook. I'm using my work's macbook pro retina 10.1, running Linux Mint 14 (ubuntu 12.10 based). For me the problematic interrupt was 16 as well (gpe16). In being thorough, I found that gpe17 had twice the amount of interrupts that 16 did (though 16 was the one hogging the CPU). I've disabled them both and my wireless seems to be working better now, but who knows how long that will last. The wireless being slow or cutting out was the main reason that I've been researching possible causes. I'm using the broadcom-wl-5.100.138 b43 wireless drivers downloaded directly. Who knows it might not actually fix my wireless permentantly, but at least killing these interrupts did fix the CPU.

Mauro (mascia-mauro) wrote :

@Revery, nop please. With a retina macbook I would leave Mountain Lion installed :)

Anyway, this is an old (I've found something similar referred to 2010 or before) problem that must be fixed!! Gurus, you have to work hard on that!

tags: added: raring
tags: added: needs-full-computer-model needs-upstream-testing

KP Stolk, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/887793/comments/83 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

tags: added: bios-outdated-f.20
removed: needs-full-computer-model
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Vladimir Scherbaev (zemik) wrote :

Maybe mark this bug as new?

jeremy-list (quick-dudley) wrote :

I'm having almost the same issue on a new install of raring ringtail, except everything locks up when system memory usage reaches 62% instead of 100%.

Hans Deragon (deragon) wrote :

I have this bug coming back and bite me again.

Obviously, kworker hogging CPU can be caused by multiple causes. Since this bug report is generic in nature, maybe it should be converted as a wish for a mean to trace easily the kworker thread. We need something like 'top', to tell us why kworker is working so hard.

Any expert out there on kworker? Your opinion on this issue would be much appreciated. This issue is a serious blow for the user's experience.

Changed in linux (Ubuntu):
status: Invalid → New
Hans Deragon (deragon) wrote :

Without doing anything to my machine, the problem went away. However, on my Lenovo T61P where it occurred, when kworker took a lot of CPU, threeof the 11 thermometers the laptop has was red. For two of them, when the laptop is working hard, they are normally red so that was usual. But the 3rd one, I never saw it red, thus suggesting that kworker had something to do with a piece of hardware which usually does not work as hard. Now that kworker is quiet, this thermometer is back into blue, normal temperature.

Don't ask me what the thermometers are for, they are only labeled numerically.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Kim Tucker (ktucker) wrote :

Problem persists after upgrading to Saucy from Raring ( macbook pro retina 10.1) - CPU1 always close to 100% (gnome-system-monitor).

Hans Deragon (deragon) wrote :

I just realized that the text of my comment (#151) is really bad; I cannot figure out why it came out so bad; I do not write has bad. Therefore, I am resubmitting my comment with better wording, for the sake of clarity.

----
2013-09-17

Without doing anything to my Lenovo T61P (Ubuntu 12.04), the problem went away by itself. However, when it occurred, kworker took a lot of CPU and 3 of the 11 thermometers the laptop has were red. Normally, when the laptop is working hard, there are two that are red. Thus until kworker kicked in, I never saw the 3rd one being red before, suggesting that kworker had something to do with a piece of hardware which usually does not work as hard. Now that kworker is quiet, this thermometer is back being blue, i.e. back to a normal temperature.

Don't ask me what the thermometers are for, they are only labeled numerically.

----

2013-10-25

Since, kworker has not bugged me, but since it comes and goes, I am sure I will suffer from this again.

Martin G Miller (mgmiller) wrote :

Had this problem with a 12.04 that had been upgraded from 11.04 to 11.10 to 12.04 32 bit. I finally reinstalled new 64 bit 12.04 and the problem persisted. For me it was gpe11 that had a value of 4200. I followed the instructions from post #114 above, modified for gpe11 instead of 13 and it seems to have resolved the problem for me. I did have to run all the commands with sudo instead of starting with the tilde (~).

Mathias-bavay (mathias-bavay) wrote :

Same bug, starting today with the updated 3.10.1-031001-generic kernel on Ubuntu 13.04. I suspect my ipw2200 wifi to be the source of the problem (the driver seems to be slowly falling behind, it is getting quite unstable, I often have to turn the wifi off and back on in order to get back connectivity. I dmesg, I see lots of failures from the ipw2200 driver).

Mathias-bavay (mathias-bavay) wrote :
Download full text (58.7 KiB)

Sorry, attaching a file did not work...

Here is my dmesg:
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Initializing cgroup subsys cpuacct
[ 0.000000] Linux version 3.10.1-031001-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201307131550 SMP Sat Jul 13 19:59:34 UTC 2013
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] NSC Geode by NSC
[ 0.000000] Cyrix CyrixInstead
[ 0.000000] Centaur CentaurHauls
[ 0.000000] Transmeta GenuineTMx86
[ 0.000000] Transmeta TransmetaCPU
[ 0.000000] UMC UMC UMC UMC
[ 0.000000] Disabled fast string operations
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000d8000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000005f68ffff] usable
[ 0.000000] BIOS-e820: [mem 0x000000005f690000-0x000000005f69cfff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x000000005f69d000-0x000000005f6fffff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x000000005f700000-0x000000005fffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000f0005fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000f0008000-0x00000000f000bfff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed20000-0x00000000fed8ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ff000000-0x00000000ffffffff] reserved
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.3 present.
[ 0.000000] DMI: Sony Corporation VGN-TX750P, BIOS R0051V1 12/01/2005
[ 0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.000000] e820: last_pfn = 0x5f690 max_arch_pfn = 0x1000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-CFFFF write-protect
[ 0.000000] D0000-E3FFF uncachable
[ 0.000000] E4000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 000000000 mask FC0000000 write-back
[ 0.000000] 1 base 040000000 mask FE0000000 write-back
[ 0.000000] 2 base 05F700000 mask FFFF00000 uncachable
[ 0.000000] 3 base 05F800000 mask FFF800000 uncachable
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 disabled
[ 0.000000] 7 disabled
[ 0.000000] PAT not supported by CPU.
[ 0.000000] original variable MTRRs
[ 0.000000] reg 0, base: 0GB, range: 1GB, type WB
[ 0.000000] reg 1, base: 1GB, range: 512MB, type WB
[ 0.000000] reg 2, base: 1527MB, range: 1MB, type UC
[ 0.000000] reg 3, base: 1528MB, range: 8MB, type UC
[ 0.000000] total RAM covered: 1527M
[ 0.000000] Found optimal setting for mtrr clean up
[ 0.000000] gran_size: 64K chunk_size: 16M num_reg: 4 lose cover RAM: 0G
[ ...

I confirm that this bug still persists on Ubuntu 13.10.
Installed on ThinkPad T61.
Disabling network workorounds the problem.

Eckhard Wiederhold (ecky) wrote :

I confirm as well that this problem persists on Ubuntu 13.10, or more precisely :
[ 0.000000] Linux version 3.11.0-13-generic (buildd@roseapple) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-10ubuntu8) ) #20-Ubuntu SMP Wed Oct 23 07:38:26
UTC 2013 (Ubuntu 3.11.0-13.20-generic 3.11.6)

It appears once in a while - about every second day. Last time it appeared it was today when I plugged in my external Hard-Drive and logged in afterwards to my allready opened session.

If this happens, there is not much to do about, just reboot and the problem goes away then but I'm quite reluctant to do it. Tried to kill it or relaunch the x-server as I thought this process is part of it. But that seems not to be the case. What are kworkers ? What are they good for? Do they manage the CPU? This might be the case as I see 3 times 8 of them enumerated from 0 to 7 and four prefixed with u this would correspond the 8 virtual cores and the 4 real ones present on my CPU.

Might it be possible that there is a race-condition on one of the cores that puts it to an endless-loop (instead of just letting it die or blocking it for example)?

Mathias-bavay (mathias-bavay) wrote :

The problem also appears with kernel 3.8.0-33-generic on my laptop (see my other comments above). I am now 100% positive this is linked to the wifi (ipw2200 card). I loose all network connectivity, thunderbird gets crazy (high cpu usage) and I see one or two kworker processes. Turning wifi off does not solve the problem (even waiting several minutes), but when turning it back, it solves the problem right away (the kworkers disapear and thunderbird starts behaving again).

Vladimir Scherbaev (zemik) wrote :

I have installed Elementary OS based on Ubuntu 12.04. Today I install last avaliable kernel 3.11.0-13-generic (linux-image-generic-lts-saucy) and this is worked ok.

no longer affects: linux (Ubuntu)
summary: - Kworker constantly taking about 100% CPU
+ [HP 6710b] Kworker constantly taking about 100% CPU
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Hans Deragon, please do not reopen this report as this does not affect the original reporter anymore as per his previous comments. If you have a bug in Ubuntu, and so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

affects: linux (Suse) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu):
status: New → Confirmed
no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: linux (Arch Linux) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu):
status: New → Confirmed
no longer affects: linux
Displaying first 40 and last 40 comments. View all 164 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.